package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcAssess;

/**
 * 考核表Service接口
 * 
 * @author cmc
 * @date 2024-01-09
 */
public interface ICmcAssessService 
{
    /**
     * 查询考核表
     * 
     * @param assessId 考核表主键
     * @return 考核表
     */
    public CmcAssess selectCmcAssessByAssessId(String assessId);

    /**
     * 查询考核表列表
     * 
     * @param cmcAssess 考核表
     * @return 考核表集合
     */
    public List<CmcAssess> selectCmcAssessList(CmcAssess cmcAssess);

    /**
     * 新增考核表
     * 
     * @param cmcAssess 考核表
     * @return 结果
     */
    public int insertCmcAssess(CmcAssess cmcAssess);

    /**
     * 修改考核表
     * 
     * @param cmcAssess 考核表
     * @return 结果
     */
    public int updateCmcAssess(CmcAssess cmcAssess);

    /**
     * 批量删除考核表
     * 
     * @param assessIds 需要删除的考核表主键集合
     * @return 结果
     */
    public int deleteCmcAssessByAssessIds(String[] assessIds);

    /**
     * 删除考核表信息
     * 
     * @param assessId 考核表主键
     * @return 结果
     */
    public int deleteCmcAssessByAssessId(String assessId);
}
